package br.ufsc.uid2uml;
/**
 * @author Patricia Vilain
 */
public class DictionaryEntry {

	public final String dataItem;
	public final String owner;
	public final String state;
	
	public DictionaryEntry(String dataItem, String owner, String state) {
		this.dataItem = dataItem;
		this.owner = owner;
		this.state = state;
	}
	
	public boolean equals(Object obj) {
		if (!(obj instanceof DictionaryEntry)) return false;
		DictionaryEntry deobj = (DictionaryEntry) obj; 
		return this.dataItem.equals(deobj.dataItem) &&
		           ((this.owner == null && deobj.owner == null) || (this.owner != null && this.owner.equals(deobj.owner))) &&
		           this.state.equals(deobj.state);
	}

	public int hashCode() {
		return (this.dataItem + this.owner + this.state).hashCode();
	}
}
