package br.ufsc.uid2uml.UIDElements;
/**
 * @author Patricia Vilain
 */
import java.util.*;


public class InputEnumeratedData extends UIDElement{
	
	private String name;
	private int selectionMin;
	private int selectionMax;
	private List<String> listOptions;
	
	public InputEnumeratedData (String name){
		this.name = name;
		this.listOptions = new ArrayList<String> ();
	}

	public void insertOption (String option){
		listOptions.add(option);
	}

	public void insertSelection (int min, int max){
		this.selectionMin = min;
		this.selectionMax = max;
	}
	
	public String getName(){
		return this.name;
	}
	public List<String> getListOptions(){
		return this.listOptions;
	}
	
	public int getSelectionMax() {
		return selectionMax;
	}

	public int getSelectionMin() {
		return selectionMin;
	}
}
